[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

kernel-headers-<kversion>-<krelease>.<arch>.rpm (was: No more kernel-source(code) ???)



On Fri, Jun 25, 2004 at 02:28:28PM +0200, Arjan van de Ven wrote:
> On Fri, 2004-06-25 at 14:18, Leonard den Ottolander wrote:
> >  This rather
> > fundamental change has not even been pre announced. This has nothing to
> > do with the way a community project should work.
> 
> which fundamental change? the fact that you can't use
> kernel-source(code) to build external modules? That has been the case
> for all the 2.6 rpms, and is a result from the 2.6 buildsystem changes
> more than anything else, and was there even before the very first fc2
> test release.

Hoe do you explain that nevertheless well working kernel module rpms
have been built out of kernel-source(code) for 2.6.6-1.435,
2.6.6-1.427 and 2.6.5-1.358? Just browse though
http://ATrpms.net/dist/fc2/

Granted the kernel-source(code) package in its virgin form is not
adequate, one needs to copy/mrproper/oldconfig/prepare it, but at
least there is an rpm to pull is as an dependency.

How would you write a specfile that needs to rpmbuild -bp
kernel-....src.rpm to get at the headers?

kernel module building requires prepared kernel headers for a certain
.config. Let's put them to /usr/src/kernel-headers/2.6.7-1.499-i686/
instead of /lib/modules/2.6.7-1.499/build and have the former into
kernel-headers-2.6.7-1.499.i686.rpm and have the latter be a symlink
to it (or call the kernel-header rpms kernel-devel).

Installation of kernel-headers-2.6.7-1.499.i686.rpm could even create
/usr/src/linux and /usr/src/linux-2.6.7 symlinks in %post to ensure
maximum backwards compatibility (only against tha latest installed
kernel-header rpm).

apt/yum/update would have to treak kernel-headers like the kernels,
e.g. allow multiple occurences.

That makes everybody happy, or not?

P.S. I would _not_ provide kernel-source for kernel-headers packages,
because they do not provide the full source and kernel module src.rpm
could be requiring full source.
-- 
Axel.Thimm at ATrpms.net

Attachment: pgp00162.pgp
Description: PGP signature


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]